From be20ce8184778842ba1cdd0e3c2fc7b09818d78d Mon Sep 17 00:00:00 2001
From: "Endi S. Dewata" <edewata@redhat.com>
Date: Tue, 6 May 2014 11:49:09 -0400
Subject: [PATCH] Replaced RCUE with PatternFly (part 1).

The font files have been moved from /pki/font to /pki/fonts to
match the RCUE/PatternFly layout. The CSS files have been updated
accordingly.

Ticket #958
---
 base/server/share/webapps/pki/css/pki-common.css        |   8 ++++----
 base/server/share/webapps/pki/css/rcue.css              |  16 ++++++++--------
 .../pki/{font => fonts}/OpenSans-Bold-webfont.woff      | Bin
 .../{font => fonts}/OpenSans-BoldItalic-webfont.woff    | Bin
 .../pki/{font => fonts}/OpenSans-Italic-webfont.woff    | Bin
 .../pki/{font => fonts}/OpenSans-Light-webfont.woff     | Bin
 .../pki/{font => fonts}/OpenSans-Regular-webfont.woff   | Bin
 .../pki/{font => fonts}/OpenSans-Semibold-webfont.woff  | Bin
 .../webapps/pki/{font => fonts}/RCUEIcons-webfont.woff  | Bin
 .../pki/{font => fonts}/fontawesome-webfont.woff        | Bin
 .../{font => fonts}/glyphicons-halflings-regular.woff   | Bin
 11 files changed, 12 insertions(+), 12 deletions(-)
 rename base/server/share/webapps/pki/{font => fonts}/OpenSans-Bold-webfont.woff (100%)
 rename base/server/share/webapps/pki/{font => fonts}/OpenSans-BoldItalic-webfont.woff (100%)
 rename base/server/share/webapps/pki/{font => fonts}/OpenSans-Italic-webfont.woff (100%)
 rename base/server/share/webapps/pki/{font => fonts}/OpenSans-Light-webfont.woff (100%)
 rename base/server/share/webapps/pki/{font => fonts}/OpenSans-Regular-webfont.woff (100%)
 rename base/server/share/webapps/pki/{font => fonts}/OpenSans-Semibold-webfont.woff (100%)
 rename base/server/share/webapps/pki/{font => fonts}/RCUEIcons-webfont.woff (100%)
 rename base/server/share/webapps/pki/{font => fonts}/fontawesome-webfont.woff (100%)
 rename base/server/share/webapps/pki/{font => fonts}/glyphicons-halflings-regular.woff (100%)

diff --git a/base/server/share/webapps/pki/css/pki-common.css b/base/server/share/webapps/pki/css/pki-common.css
index 42d0187a5f6ebfc6ec1a2cc981d54eb2dcdfe814..127d56b75d9ea328b5de1d315dac188890e1f325 100644
--- a/base/server/share/webapps/pki/css/pki-common.css
+++ b/base/server/share/webapps/pki/css/pki-common.css
@@ -2,28 +2,28 @@
   font-family: "Open Sans";
   font-style: normal;
   font-weight: normal;
-  src: url("/pki/font/OpenSans-Regular-webfont.woff");
+  src: url("/pki/fonts/OpenSans-Regular-webfont.woff");
 }
 
 @font-face {
   font-family: "Open Sans";
   font-style: normal;
   font-weight: bold;
-  src: url("/pki/font/OpenSans-Bold-webfont.woff");
+  src: url("/pki/fonts/OpenSans-Bold-webfont.woff");
 }
 
 @font-face {
   font-family: "Open Sans";
   font-style: italic;
   font-weight: normal;
-  src: url("/pki/font/OpenSans-Italic-webfont.woff");
+  src: url("/pki/fonts/OpenSans-Italic-webfont.woff");
 }
 
 @font-face {
   font-family: "Open Sans";
   font-style: italic;
   font-weight: bold;
-  src: url("/pki/font/OpenSans-BoldItalic-webfont.woff");
+  src: url("/pki/fonts/OpenSans-BoldItalic-webfont.woff");
 }
 
 
diff --git a/base/server/share/webapps/pki/css/rcue.css b/base/server/share/webapps/pki/css/rcue.css
index 692a9db015d70c41a6f47ae8516782efcb0aae4a..54a015587e865b44e36ddd539d8e6ba168da5173 100644
--- a/base/server/share/webapps/pki/css/rcue.css
+++ b/base/server/share/webapps/pki/css/rcue.css
@@ -2284,7 +2284,7 @@ input[type="button"].btn-block {
 }
 @font-face {
   font-family: 'Glyphicons Halflings';
-  src: url('/pki/font/glyphicons-halflings-regular.woff');
+  src: url('/pki/fonts/glyphicons-halflings-regular.woff');
 }
 .glyphicon {
   position: relative;
@@ -5984,7 +5984,7 @@ td.visible-print {
  * -------------------------- */
 @font-face {
   font-family: 'FontAwesome';
-  src: url('/pki/font/fontawesome-webfont.woff');
+  src: url('/pki/fonts/fontawesome-webfont.woff');
   font-weight: normal;
   font-style: normal;
 }
@@ -7654,31 +7654,31 @@ fieldset[disabled] .btn-primary.active {
   font-family: 'Open Sans';
   font-style: normal;
   font-weight: 300;
-  src: url('/pki/font/OpenSans-Light-webfont.woff');
+  src: url('/pki/fonts/OpenSans-Light-webfont.woff');
 }
 @font-face {
   font-family: 'Open Sans';
   font-style: normal;
   font-weight: 400;
-  src: url('/pki/font/OpenSans-Regular-webfont.woff');
+  src: url('/pki/fonts/OpenSans-Regular-webfont.woff');
 }
 @font-face {
   font-family: 'Open Sans';
   font-style: normal;
   font-weight: 600;
-  src: url('/pki/font/OpenSans-Semibold-webfont.woff');
+  src: url('/pki/fonts/OpenSans-Semibold-webfont.woff');
 }
 @font-face {
   font-family: 'Open Sans';
   font-style: normal;
   font-weight: 700;
-  src: url('/pki/font/OpenSans-Bold-webfont.woff');
+  src: url('/pki/fonts/OpenSans-Bold-webfont.woff');
 }
 @font-face {
   font-family: 'Open Sans';
   font-style: normal;
   font-weight: 800;
-  src: url('/pki/font/OpenSans-ExtraBold-webfont.woff');
+  src: url('/pki/fonts/OpenSans-ExtraBold-webfont.woff');
 }
 .form-control[disabled],
 .form-control[readonly],
@@ -7704,7 +7704,7 @@ label {
 }
 @font-face {
   font-family: 'RCUEIcons-webfont';
-  src: url('/pki/font/RCUEIcons-webfont.woff');
+  src: url('/pki/fonts/RCUEIcons-webfont.woff');
   font-weight: normal;
   font-style: normal;
 }
diff --git a/base/server/share/webapps/pki/font/OpenSans-Bold-webfont.woff b/base/server/share/webapps/pki/fonts/OpenSans-Bold-webfont.woff
similarity index 100%
rename from base/server/share/webapps/pki/font/OpenSans-Bold-webfont.woff
rename to base/server/share/webapps/pki/fonts/OpenSans-Bold-webfont.woff
diff --git a/base/server/share/webapps/pki/font/OpenSans-BoldItalic-webfont.woff b/base/server/share/webapps/pki/fonts/OpenSans-BoldItalic-webfont.woff
similarity index 100%
rename from base/server/share/webapps/pki/font/OpenSans-BoldItalic-webfont.woff
rename to base/server/share/webapps/pki/fonts/OpenSans-BoldItalic-webfont.woff
diff --git a/base/server/share/webapps/pki/font/OpenSans-Italic-webfont.woff b/base/server/share/webapps/pki/fonts/OpenSans-Italic-webfont.woff
similarity index 100%
rename from base/server/share/webapps/pki/font/OpenSans-Italic-webfont.woff
rename to base/server/share/webapps/pki/fonts/OpenSans-Italic-webfont.woff
diff --git a/base/server/share/webapps/pki/font/OpenSans-Light-webfont.woff b/base/server/share/webapps/pki/fonts/OpenSans-Light-webfont.woff
similarity index 100%
rename from base/server/share/webapps/pki/font/OpenSans-Light-webfont.woff
rename to base/server/share/webapps/pki/fonts/OpenSans-Light-webfont.woff
diff --git a/base/server/share/webapps/pki/font/OpenSans-Regular-webfont.woff b/base/server/share/webapps/pki/fonts/OpenSans-Regular-webfont.woff
similarity index 100%
rename from base/server/share/webapps/pki/font/OpenSans-Regular-webfont.woff
rename to base/server/share/webapps/pki/fonts/OpenSans-Regular-webfont.woff
diff --git a/base/server/share/webapps/pki/font/OpenSans-Semibold-webfont.woff b/base/server/share/webapps/pki/fonts/OpenSans-Semibold-webfont.woff
similarity index 100%
rename from base/server/share/webapps/pki/font/OpenSans-Semibold-webfont.woff
rename to base/server/share/webapps/pki/fonts/OpenSans-Semibold-webfont.woff
diff --git a/base/server/share/webapps/pki/font/RCUEIcons-webfont.woff b/base/server/share/webapps/pki/fonts/RCUEIcons-webfont.woff
similarity index 100%
rename from base/server/share/webapps/pki/font/RCUEIcons-webfont.woff
rename to base/server/share/webapps/pki/fonts/RCUEIcons-webfont.woff
diff --git a/base/server/share/webapps/pki/font/fontawesome-webfont.woff b/base/server/share/webapps/pki/fonts/fontawesome-webfont.woff
similarity index 100%
rename from base/server/share/webapps/pki/font/fontawesome-webfont.woff
rename to base/server/share/webapps/pki/fonts/fontawesome-webfont.woff
diff --git a/base/server/share/webapps/pki/font/glyphicons-halflings-regular.woff b/base/server/share/webapps/pki/fonts/glyphicons-halflings-regular.woff
similarity index 100%
rename from base/server/share/webapps/pki/font/glyphicons-halflings-regular.woff
rename to base/server/share/webapps/pki/fonts/glyphicons-halflings-regular.woff
-- 
1.8.4.2