From 5f574d56da606dabcb6a78f85e5fe85d96e1f98a Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Mon, 9 Apr 2012 17:36:50 -0500
Subject: [PATCH] Removed deprecated resources.

Some exceptions used deprecated resource class names as the bundle name,
they have been replaced with string constants. The deprecated resource
classes are no longer used, so they have been removed.

Ticket #3
---
 base/common/src/CMakeLists.txt                     |    5 --
 .../com/netscape/certsrv/acls/ACLsResources.java   |   45 -------------------
 .../com/netscape/certsrv/acls/EACLsException.java  |    2 +-
 .../certsrv/authentication/AuthResources.java      |   44 -------------------
 .../certsrv/authentication/EAuthException.java     |    2 +-
 .../certsrv/authorization/AuthzResources.java      |   44 -------------------
 .../certsrv/authorization/EAuthzException.java     |    2 +-
 .../netscape/certsrv/policy/EPolicyException.java  |    2 +-
 .../netscape/certsrv/policy/PolicyResources.java   |   45 -------------------
 .../netscape/certsrv/usrgrp/EUsrGrpException.java  |    2 +-
 .../netscape/certsrv/usrgrp/UsrGrpResources.java   |   46 --------------------
 11 files changed, 5 insertions(+), 234 deletions(-)
 delete mode 100644 base/common/src/com/netscape/certsrv/acls/ACLsResources.java
 delete mode 100644 base/common/src/com/netscape/certsrv/authentication/AuthResources.java
 delete mode 100644 base/common/src/com/netscape/certsrv/authorization/AuthzResources.java
 delete mode 100644 base/common/src/com/netscape/certsrv/policy/PolicyResources.java
 delete mode 100644 base/common/src/com/netscape/certsrv/usrgrp/UsrGrpResources.java

diff --git a/base/common/src/CMakeLists.txt b/base/common/src/CMakeLists.txt
index ea9077f7432123bb7c4444cb7cc169bbbc482412..43f3a5a773dbd33c3824a78cf1e6f95359295896 100644
--- a/base/common/src/CMakeLists.txt
+++ b/base/common/src/CMakeLists.txt
@@ -107,7 +107,6 @@ set(pki-certsrv_java_SRCS
     com/netscape/certsrv/usrgrp/IUser.java
     com/netscape/certsrv/usrgrp/IUGSubsystem.java
     com/netscape/certsrv/usrgrp/IIdEvaluator.java
-    com/netscape/certsrv/usrgrp/UsrGrpResources.java
     com/netscape/certsrv/usrgrp/IUserConstants.java
     com/netscape/certsrv/usrgrp/IUsrGrp.java
     com/netscape/certsrv/pattern/Pattern.java
@@ -145,7 +144,6 @@ set(pki-certsrv_java_SRCS
     com/netscape/certsrv/policy/IGeneralNamesAsConstraintsConfig.java
     com/netscape/certsrv/policy/IExpression.java
     com/netscape/certsrv/policy/EPolicyException.java
-    com/netscape/certsrv/policy/PolicyResources.java
     com/netscape/certsrv/policy/IGeneralNamesConfig.java
     com/netscape/certsrv/policy/IPolicySet.java
     com/netscape/certsrv/policy/IPolicyProcessor.java
@@ -160,7 +158,6 @@ set(pki-certsrv_java_SRCS
     com/netscape/certsrv/policy/IRenewalPolicy.java
     com/netscape/certsrv/policy/IPolicyRule.java
     com/netscape/certsrv/acls/IACL.java
-    com/netscape/certsrv/acls/ACLsResources.java
     com/netscape/certsrv/acls/EACLsException.java
     com/netscape/certsrv/acls/ACL.java
     com/netscape/certsrv/acls/IACLEntry.java
@@ -257,7 +254,6 @@ set(pki-certsrv_java_SRCS
     com/netscape/certsrv/authentication/EAuthException.java
     com/netscape/certsrv/authentication/IAuthSubsystem.java
     com/netscape/certsrv/authentication/IAuthCredentials.java
-    com/netscape/certsrv/authentication/AuthResources.java
     com/netscape/certsrv/authentication/EFormSubjectDN.java
     com/netscape/certsrv/authorization/AuthzManagerProxy.java
     com/netscape/certsrv/authorization/IAuthzManager.java
@@ -265,7 +261,6 @@ set(pki-certsrv_java_SRCS
     com/netscape/certsrv/authorization/AuthzMgrPlugin.java
     com/netscape/certsrv/authorization/AuthzToken.java
     com/netscape/certsrv/authorization/IAuthzSubsystem.java
-    com/netscape/certsrv/authorization/AuthzResources.java
     com/netscape/certsrv/authorization/EAuthzUnknownOperation.java
     com/netscape/certsrv/authorization/EAuthzAccessDenied.java
     com/netscape/certsrv/authorization/EAuthzException.java
diff --git a/base/common/src/com/netscape/certsrv/acls/ACLsResources.java b/base/common/src/com/netscape/certsrv/acls/ACLsResources.java
deleted file mode 100644
index d886eb3834bd5a008dfe2ded3f2297b3bec1b244..0000000000000000000000000000000000000000
--- a/base/common/src/com/netscape/certsrv/acls/ACLsResources.java
+++ /dev/null
@@ -1,45 +0,0 @@
-// --- BEGIN COPYRIGHT BLOCK ---
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License as published by
-// the Free Software Foundation; version 2 of the License.
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License along
-// with this program; if not, write to the Free Software Foundation, Inc.,
-// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-//
-// (C) 2007 Red Hat, Inc.
-// All rights reserved.
-// --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.acls;
-
-import java.util.ListResourceBundle;
-
-/**
- * A class represents a resource bundle for the entire ACL component.
- * system.
- * <P>
- *
- * @deprecated
- * @version $Revision$, $Date$
- */
-public class ACLsResources extends ListResourceBundle {
-
-    /**
-     * Returns the content of this resource.
-     *
-     * @return the content of this resource.
-     */
-    public Object[][] getContents() {
-        return contents;
-    }
-
-    /**
-     * A set of constants for localized error messages.
-     */
-    static final Object[][] contents = {};
-}
diff --git a/base/common/src/com/netscape/certsrv/acls/EACLsException.java b/base/common/src/com/netscape/certsrv/acls/EACLsException.java
index b72796ec54a3e16e83263c332bd70f097ccf999c..25e09c47c3e84cab8800f5db6d1545c228941eea 100644
--- a/base/common/src/com/netscape/certsrv/acls/EACLsException.java
+++ b/base/common/src/com/netscape/certsrv/acls/EACLsException.java
@@ -41,7 +41,7 @@ public class EACLsException extends EBaseException {
     /**
      * resource class name
      */
-    private static final String ACL_RESOURCES = ACLsResources.class.getName();
+    private static final String ACL_RESOURCES = "com.netscape.certsrv.acls.ACLsResources";
 
     /**
      * Constructs an acls exception.
diff --git a/base/common/src/com/netscape/certsrv/authentication/AuthResources.java b/base/common/src/com/netscape/certsrv/authentication/AuthResources.java
deleted file mode 100644
index 30a7a5d673f603e3d5b3eb990060e3ddde62de65..0000000000000000000000000000000000000000
--- a/base/common/src/com/netscape/certsrv/authentication/AuthResources.java
+++ /dev/null
@@ -1,44 +0,0 @@
-// --- BEGIN COPYRIGHT BLOCK ---
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License as published by
-// the Free Software Foundation; version 2 of the License.
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License along
-// with this program; if not, write to the Free Software Foundation, Inc.,
-// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-//
-// (C) 2007 Red Hat, Inc.
-// All rights reserved.
-// --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.authentication;
-
-import java.util.ListResourceBundle;
-
-/**
- * A class represents a resource bundle for the authentication component.
- * <P>
- *
- * @deprecated
- * @version $Revision$, $Date$
- */
-public class AuthResources extends ListResourceBundle {
-
-    /**
-     * Returns the content of this resource.
-     *
-     * @return the contents of this resource
-     */
-    public Object[][] getContents() {
-        return contents;
-    }
-
-    /**
-     * A set of constants for localized error messages.
-     */
-    static final Object[][] contents = {};
-}
diff --git a/base/common/src/com/netscape/certsrv/authentication/EAuthException.java b/base/common/src/com/netscape/certsrv/authentication/EAuthException.java
index 07a87ab9643751f071789da0217ad0efaff12433..94240fdccd9ebc1b2f4d160ca032d3935a278c47 100644
--- a/base/common/src/com/netscape/certsrv/authentication/EAuthException.java
+++ b/base/common/src/com/netscape/certsrv/authentication/EAuthException.java
@@ -34,7 +34,7 @@ public class EAuthException extends EBaseException {
     /**
      * Resource class name
      */
-    private static final String AUTH_RESOURCES = AuthResources.class.getName();
+    private static final String AUTH_RESOURCES = "com.netscape.certsrv.authentication.AuthResources";
 
     /**
      * Constructs an authentication exception
diff --git a/base/common/src/com/netscape/certsrv/authorization/AuthzResources.java b/base/common/src/com/netscape/certsrv/authorization/AuthzResources.java
deleted file mode 100644
index 5f736aa0249e8c78519e7e6477264c781b0f5de6..0000000000000000000000000000000000000000
--- a/base/common/src/com/netscape/certsrv/authorization/AuthzResources.java
+++ /dev/null
@@ -1,44 +0,0 @@
-// --- BEGIN COPYRIGHT BLOCK ---
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License as published by
-// the Free Software Foundation; version 2 of the License.
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License along
-// with this program; if not, write to the Free Software Foundation, Inc.,
-// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-//
-// (C) 2007 Red Hat, Inc.
-// All rights reserved.
-// --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.authorization;
-
-import java.util.ListResourceBundle;
-
-/**
- * A class represents a resource bundle for the authorization subsystem
- * <P>
- *
- * @deprecated
- * @version $Revision$, $Date$
- */
-public class AuthzResources extends ListResourceBundle {
-
-    /**
-     * Returns the content of this resource.
-     *
-     * @return the content of this resource
-     */
-    public Object[][] getContents() {
-        return contents;
-    }
-
-    /**
-     * A set of constants for localized error messages.
-     */
-    static final Object[][] contents = {};
-}
diff --git a/base/common/src/com/netscape/certsrv/authorization/EAuthzException.java b/base/common/src/com/netscape/certsrv/authorization/EAuthzException.java
index 873ada1af43ef76b9b7da51150227eeabec97651..ccb81f24487a08f24264873219261d89fb7a6002 100644
--- a/base/common/src/com/netscape/certsrv/authorization/EAuthzException.java
+++ b/base/common/src/com/netscape/certsrv/authorization/EAuthzException.java
@@ -34,7 +34,7 @@ public class EAuthzException extends EBaseException {
     /**
      * Resource class name.
      */
-    private static final String AUTHZ_RESOURCES = AuthzResources.class.getName();
+    private static final String AUTHZ_RESOURCES = "com.netscape.certsrv.authorization.AuthzResources";
 
     /**
      * Constructs a authz exception
diff --git a/base/common/src/com/netscape/certsrv/policy/EPolicyException.java b/base/common/src/com/netscape/certsrv/policy/EPolicyException.java
index 0d530f9b5d8c903007c2d9098fced413ae214b50..1026bfb6a7c4e7b21835dea6798c6d2536b42a99 100644
--- a/base/common/src/com/netscape/certsrv/policy/EPolicyException.java
+++ b/base/common/src/com/netscape/certsrv/policy/EPolicyException.java
@@ -47,7 +47,7 @@ public class EPolicyException extends EBaseException {
     /**
      * Resource class name.
      */
-    private static final String POLICY_RESOURCES = PolicyResources.class.getName();
+    private static final String POLICY_RESOURCES = "com.netscape.certsrv.policy.PolicyResources";
 
     /**
      * Constructs a base exception.
diff --git a/base/common/src/com/netscape/certsrv/policy/PolicyResources.java b/base/common/src/com/netscape/certsrv/policy/PolicyResources.java
deleted file mode 100644
index acaf6d92ba8b1fd5a81eaca8e1ea2a90c8b0df20..0000000000000000000000000000000000000000
--- a/base/common/src/com/netscape/certsrv/policy/PolicyResources.java
+++ /dev/null
@@ -1,45 +0,0 @@
-// --- BEGIN COPYRIGHT BLOCK ---
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License as published by
-// the Free Software Foundation; version 2 of the License.
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License along
-// with this program; if not, write to the Free Software Foundation, Inc.,
-// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-//
-// (C) 2007 Red Hat, Inc.
-// All rights reserved.
-// --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
-
-import java.util.ListResourceBundle;
-
-/**
- * Error messages for Policies.
- * <P>
- *
- * <PRE>
- * NOTE:  The Policy Framework has been replaced by the Profile Framework.
- * </PRE>
- * <P>
- *
- * @deprecated
- * @version $Revision$, $Date$
- * @see java.util.ListResourceBundle
- */
-public class PolicyResources extends ListResourceBundle {
-
-    /**
-     * Returns the content of this resource.
-     */
-    public Object[][] getContents() {
-        return contents;
-    }
-
-    static final Object[][] contents = {};
-}
diff --git a/base/common/src/com/netscape/certsrv/usrgrp/EUsrGrpException.java b/base/common/src/com/netscape/certsrv/usrgrp/EUsrGrpException.java
index bae8ba0851ac3bcab8b794f32b93a078cddf7d2d..cce9f3f3da35a69655c6b4bfa3656840f827e214 100644
--- a/base/common/src/com/netscape/certsrv/usrgrp/EUsrGrpException.java
+++ b/base/common/src/com/netscape/certsrv/usrgrp/EUsrGrpException.java
@@ -34,7 +34,7 @@ public class EUsrGrpException extends EBaseException {
     /**
      * Identity resource class name.
      */
-    private static final String USRGRP_RESOURCES = UsrGrpResources.class.getName();
+    private static final String USRGRP_RESOURCES = "com.netscape.certsrv.usrgrp.UsrGrpResources";
 
     /**
      * Constructs a usr/grp management exception
diff --git a/base/common/src/com/netscape/certsrv/usrgrp/UsrGrpResources.java b/base/common/src/com/netscape/certsrv/usrgrp/UsrGrpResources.java
deleted file mode 100644
index f85f7116c5af7091b5e87691b048130252c38c50..0000000000000000000000000000000000000000
--- a/base/common/src/com/netscape/certsrv/usrgrp/UsrGrpResources.java
+++ /dev/null
@@ -1,46 +0,0 @@
-// --- BEGIN COPYRIGHT BLOCK ---
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License as published by
-// the Free Software Foundation; version 2 of the License.
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License along
-// with this program; if not, write to the Free Software Foundation, Inc.,
-// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-//
-// (C) 2007 Red Hat, Inc.
-// All rights reserved.
-// --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.usrgrp;
-
-import java.util.ListResourceBundle;
-
-/**
- * A class represents a resource bundle for the
- * user/group manager
- *
- * @deprecated
- * @version $Revision$, $Date$
- */
-public class UsrGrpResources extends ListResourceBundle {
-
-    /**
-     * Returns the content of this resource.
-     *
-     * @return the content of this resource.
-     */
-    public Object[][] getContents() {
-        return contents;
-    }
-
-    /**
-     * Constants. The suffix represents the number of
-     * possible parameters.
-     */
-
-    static final Object[][] contents = {};
-}
-- 
1.7.7.4